Attribute VB_Name = "Module1"
Public ARRAYDATA() As ARRAYDATARECORD
Private Type ARRAYDATARECORD ' each line in the array has the place for the 4 values
   DEPTH1 As String
   DEPTH2 As String
   FILLVOL As String
   CUTVOL As String
End Type
Public ARRAYGRAPH() As Variant
Public COLSEP(1 To 2) As Integer ' keep the values of the ColSeparators in mind
Public SETTINGS_CHANGED As Boolean ' watch if settings are changed
Public PLOTGRIDleft As Integer
Public PLOTGRIDright As Integer
Public PLOTGRIDtop As Integer
Public PLOTGRIDbottom As Integer


Sub main()
Dim FILENUM As Integer
Dim INPUTTEXT As String
   frmSplash.Show ' vbModeless   'Display the splash form
' Load the settings
   FILENUM = FreeFile()
   On Error GoTo Error_Settings
   Open App.Path & "\settings.ini" For Input As #FILENUM
      Do While Not EOF(FILENUM)
         Input #FILENUM, INPUTTEXT ' read header
         Select Case INPUTTEXT
         Case "[ TextCol_1 ]"
            Input #FILENUM, INPUTTEXT ' read value
            ' the sub "HScrollCol_Change" will set the others
            dlgContentTerramodel.HScrollCol(1).Value = Val(INPUTTEXT)
         Case "[ TextCol_2 ]"
            Input #FILENUM, INPUTTEXT ' read value
            ' the sub "HScrollCol_Change" will set the others
            dlgContentTerramodel.HScrollCol(2).Value = Val(INPUTTEXT)
         Case "[ PLOTGRIDleft ]"
            Input #FILENUM, INPUTTEXT ' read value
            PLOTGRIDleft = Val(INPUTTEXT)
         Case "[ PLOTGRIDright ]"
            Input #FILENUM, INPUTTEXT ' read value
            PLOTGRIDright = Val(INPUTTEXT)
         Case "[ PLOTGRIDtop ]"
            Input #FILENUM, INPUTTEXT ' read value
            PLOTGRIDtop = Val(INPUTTEXT)
         Case "[ PLOTGRIDbottom ]"
            Input #FILENUM, INPUTTEXT ' read value
            PLOTGRIDbottom = Val(INPUTTEXT)
         End Select
      Loop
   Close #FILENUM
   SETTINGS_CHANGED = False
Exit Sub
Error_Settings:
   MsgBox ("There is an error in the ...\settings.ini file ")
   Close #FILENUM
   With dlgContentTerramodel
      ' set col lines on default value
      .TextCol(1) = 40 ' change it if the most of the doc's have other lay-out
      .TextCol(2) = 60 ' change it if the most of the doc's have other lay-out
   End With
End Sub

Sub Save_Settings()
Dim FILENUM As Integer
   FILENUM = FreeFile()
   On Error GoTo Error_Open_File
   Open App.Path & "\settings.ini" For Output As #FILENUM
      Write #FILENUM, "[ TextCol_1 ]"
      Write #FILENUM, COLSEP(1)
      Write #FILENUM, "[ TextCol_2 ]"
      Write #FILENUM, COLSEP(2)
      Write #FILENUM, "[ PLOTGRIDleft ]"
      Write #FILENUM, PLOTGRIDleft
      Write #FILENUM, "[ PLOTGRIDright ]"
      Write #FILENUM, PLOTGRIDright
      Write #FILENUM, "[ PLOTGRIDtop ]"
      Write #FILENUM, PLOTGRIDtop
      Write #FILENUM, "[ PLOTGRIDbottom ]"
      Write #FILENUM, PLOTGRIDbottom
   Close #FILENUM
Exit Sub
Error_Open_File:
   Close #FILENUM
   MsgBox "There is an error saving the file !"
End Sub

